Kerbal Space Program - Bug #9390

Game crashing with X11 on Debian Sid/Nvidia
04/21/2016 09:07 PM - tudorapo

Status: Needs Clarification Start date: 04/21/2016
Severity: High % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Hi,

After installing pulseaudio i was able to start the game once, played with it a hour or so. Since then every attempt to start it ends with
the X crashing.

The game was freshly extracted from the zip file, no mods, no changes in the config files.
Relevant part from .xsession-errors:

(openbox:6723): GLib-ERROR **: /build/glib2.0-uuklBc/glib2.0-2.48.0/./glib/gmem.c:328: overflow allocating 38107336964 bytes
How are you gentlemen? All your base are belong to us. (Openbox received signal 5)

XIO: fatal 10 error 11 (Er?forrAjs Ajtmenetileg nem A©rhet? el) on X server ":0"

after 16527 requests (16527 known processed) with 0 events remaining.
[6873:6873:0421/225340:ERROR:chrome_browser_main_extra_parts_x11.cc(62)] X 1O error received (X server probably went
away)

(x-terminal-emulator:6772): Gdk-WARNING **: x-terminal-emulator: Fatal 10 error 104 (A kapcsolatot bontotta a tAjvoli fA@I) on X
server :0.

[6928:6928:0421/225340:ERROR:x11_util.cc(90)] X 10 error received (X server probably went away)

History

#1 - 04/22/2016 01:17 PM - sal_vager

- Status changed from New to Need More Info

Hi tudorapo, please attach your settings.cfg and prefs file, thank you.

#2 - 04/22/2016 08:10 PM - tudorapo
- File settings.cfg added
- File global.prefs added

sal_vager wrote:

Hi tudorapo, please attach your settings.cfg and prefs file, thank you.

As my master commands.

All of these are as they came with the game, i have not touched them.

#3 - 07/17/2016 09:47 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification
